Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Order Handling

OrderHandling

List handlings for an order

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings

List all handlings for a specific order

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
orderUidstringOptionalDeprecatedPattern: ^[A-Za-z0-9-_]*
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "active": true,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "description": "text",
      "handlingUid": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "name": "text",
      "orderHandlingUid": "text",
      "state": "NOT_STARTED"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Add a handling on an order

post
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings

Add a handling on an order

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Body
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderHandlingUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
namestring · max: 20Required
orderHandlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statestring · enumRequiredPossible values:
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "handlingUid": "text",
  "orderHandlingUid": "text"
}
201

Example response

{
  "orderUid": "text",
  "active": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "description": "text",
  "handlingUid": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "name": "text",
  "orderHandlingUid": "text",
  "state": "NOT_STARTED"
}

Get handling details for an order

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings/{orderHandlingUid}

Get handling details for an order

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderHandlingUidstringRequired

Reference to an orderhandling id.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
namestring · max: 20Required
orderHandlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statestring · enumRequiredPossible values:
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings/{orderHandlingUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings/{orderHandlingUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "orderUid": "text",
  "active": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "description": "text",
  "handlingUid": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "name": "text",
  "orderHandlingUid": "text",
  "state": "NOT_STARTED"
}

Update handling details for an order

put
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings/{orderHandlingUid}

Update handling details for an order

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderHandlingUidstringRequired

Reference to an orderhandling id.

Pattern: ^[A-Za-z0-9-_]+
Body
statestring · enumRequiredPossible values:
commentstringOptional
Responses
200

Example response

application/json
orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
namestring · max: 20Required
orderHandlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statestring · enumRequiredPossible values:
put/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings/{orderHandlingUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings/{orderHandlingUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 40

{
  "state": "NOT_STARTED",
  "comment": "text"
}
200

Example response

{
  "orderUid": "text",
  "active": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "description": "text",
  "handlingUid": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "name": "text",
  "orderHandlingUid": "text",
  "state": "NOT_STARTED"
}

Delete handling for an order

delete
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings/{orderHandlingUid}

Delete handling for an order

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderHandlingUidstringRequired

Reference to an orderhandling id.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings/{orderHandlingUid}
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings/{orderHandlingUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List handling actions for an order item id

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions

List handling actions for an order item id

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderItemUidstringRequired

Reference to an order item on an order.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "comment": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "handlingActionUid": "text",
      "handlingActionName": "text",
      "handlingDescription": "text",
      "handlingUid": "text",
      "handlingName": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "orderHandlingActionUid": "text"
    }
  ]
}

Add handling action to order item

post
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions

Add handling action to order item

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderItemUidstringRequired

Reference to an order item on an order.

Pattern: ^[A-Za-z0-9-_]+
Body
commentstringOptional
handlingActionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderHandlingActionUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
commentstringRequired
createdAtstring · date-timeRequired
createdBystringRequired
handlingActionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
handlingActionNamestringRequired
handlingDescriptionstringRequired
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
handlingNamestringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
orderHandlingActionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 98

{
  "comment": "text",
  "handlingActionUid": "text",
  "handlingUid": "text",
  "orderHandlingActionUid": "text"
}
200

Example response

{
  "comment": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "handlingActionUid": "text",
  "handlingActionName": "text",
  "handlingDescription": "text",
  "handlingUid": "text",
  "handlingName": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "orderHandlingActionUid": "text"
}

Update order item handling action

put
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions/{orderHandlingActionUid}

Update order item handling action

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderItemUidstringRequired

Reference to an order item on an order.

Pattern: ^[A-Za-z0-9-_]+
orderHandlingActionUidstringRequired

Reference to an orderhandling action id.

Pattern: ^[A-Za-z0-9-_]+
Body
commentstringRequired
Responses
200

Example response

application/json
commentstringRequired
createdAtstring · date-timeRequired
createdBystringRequired
handlingActionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
handlingActionNamestringRequired
handlingDescriptionstringRequired
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
handlingNamestringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
orderHandlingActionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
put/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions/{orderHandlingActionUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions/{orderHandlingActionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 18

{
  "comment": "text"
}
200

Example response

{
  "comment": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "handlingActionUid": "text",
  "handlingActionName": "text",
  "handlingDescription": "text",
  "handlingUid": "text",
  "handlingName": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "orderHandlingActionUid": "text"
}

Delete a handling action for an order item.

delete
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions/{orderHandlingActionUid}

Delete a handling action for an order item.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderItemUidstringRequired

Reference to an order item on an order.

Pattern: ^[A-Za-z0-9-_]+
orderHandlingActionUidstringRequired

Reference to an orderhandling action id.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions/{orderHandlingActionUid}
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/handlingactions/{orderHandlingActionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated

Was this helpful?